Bug 242183 - BCM4311 Slow
BCM4311 Slow
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 20:56 EDT by Brennan Ashton
Modified: 2008-01-28 16:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 16:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brennan Ashton 2007-06-01 20:56:06 EDT
Description of problem:
Very slow speeds on wirless (google has a hard time loading) BCM4311
Also know as (from lspci)
03:00.0 Network controller: Broadcom Corporation Dell Wireless 1390 WLAN
Mini-PCI Card (rev 01)

Version-Release number of selected component (if applicable):
All versions

How reproducible:
Always a problem appears to get worse the longer it is on

Steps to Reproduce:
1.Use a 03:00.0 Broadcom Corporation Dell Wireless 1390 WLAN Mini-PCI Card (rev
01)  actualy a BCM4311 chipset

2.
3.
  
Actual results:
Very slow speeds

Expected results:
Normal wifi speeds

Additional info:
this patch solves the problme, but is not in the kernel. Been using it sense feb
with both vinella and fedora kernel.
https://lists.berlios.de/pipermail/bcm43xx-dev/2007-February/003819.html
Comment 1 John W. Linville 2007-06-04 16:45:13 EDT
Please try the FC6.netdev kernels:

   http://people.redhat.com/linville/kernels/fedora-netdev/

Do these work any better for you?
Comment 2 Brennan Ashton 2007-06-12 19:05:46 EDT
This problem is resolved in the 2.6.22-rc4 kernel. 
Comment 3 John W. Linville 2007-07-16 10:39:05 EDT
Please try the kernels here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=11202

Do they resolve the problem as well?
Comment 4 scott anderson 2007-07-21 19:48:55 EDT
Just wanted to come in here and add the traditional "me too" for the broadcom
1390 using 2.6.22.1-27. I'm using the newer mac80211 driver just fine and
everything is working, it's just that the speeds are very very slow. 
Comment 5 scott anderson 2007-07-23 21:42:42 EDT
Wanted to add that I also tried the more recent kernel-2.6.23-0.45.rc0.git16.fc8
and still the speeds were the same. Not sure if this included any type of fix
but just thought it was worth noting. 

Mr. Linville, if you build anything else and would like me to test it please let
me know. I really would like to help solve this problem any way I possibly can,
so if you think of any other way I can help please do send an email.
Comment 6 John W. Linville 2008-01-28 16:10:32 EST
Closed due to lack of response from original poster...

Note You need to log in before you can comment on or make changes to this bug.